org.thewonderlemming.c4plantuml.grammars

## Interface C4L3ParserListenerDecorator

- All Superinterfaces:
    org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener, org.antlr.v4.runtime.tree.ParseTreeListener
  All Known Implementing Classes:
    AliasesShouldBeListedInDictionaryListener, AliasesShouldBeUniqueListener, AliasesShouldFollowStandardConventionListener, C4BaseListener, C4GraphParseTreeListener, C4L3GraphParseTreeListener, NoDuplicateRelationshipsListener, NoOrphanAliasInBoundariesListener, NoOrphanAliasInLayoutsListener, NoOrphanAliasInRelationshipsListener

      public interface C4L3ParserListenerDecorator
      extends org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener

  A decorator pattern to `C4L3ParserListener` using default methods to emulate multiple inheritance amongst classes and allow simple composition of grammars parsers.

  All the default implementations delegates the work to the decorated object.

  Author:
    thewonderlemming

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `enterBoundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.BoundaryContext ctx)` Enter a parse tree produced by `C4L3Parser.boundary()`.
    `default void` | `enterCloud(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.CloudContext ctx)` Enter a parse tree produced by `C4L3Parser.cloud()`.
    `default void` | `enterComma(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.CommaContext ctx)` Enter a parse tree produced by `C4L3Parser.comma()`.
    `default void` | `enterComponent(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.ComponentContext ctx)` Enter a parse tree produced by `C4L3Parser.component()`.
    `default void` | `enterContainer_boundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Container_boundaryContext ctx)` Enter a parse tree produced by `C4L3Parser.container_boundary()`.
    `default void` | `enterContainer(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.ContainerContext ctx)` Enter a parse tree produced by `C4L3Parser.container()`.
    `default void` | `enterDiagram(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.DiagramContext ctx)` Enter a parse tree produced by `C4L3Parser.diagram()`.
    `default void` | `enterEnterprise_boundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Enterprise_boundaryContext ctx)` Enter a parse tree produced by `C4L3Parser.enterprise_boundary()`.
    `default void` | `enterFooter(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.FooterContext ctx)` Enter a parse tree produced by `C4L3Parser.footer()`.
    `default void` | `enterInclude(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.IncludeContext ctx)` Enter a parse tree produced by `C4L3Parser.include()`.
    `default void` | `enterL3_title(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.L3_titleContext ctx)` Enter a parse tree produced by `C4L3Parser.l3_title()`.
    `default void` | `enterLayout(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.LayoutContext ctx)` Enter a parse tree produced by `C4L3Parser.layout()`.
    `default void` | `enterPerson_ext(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Person_extContext ctx)` Enter a parse tree produced by `C4L3Parser.person_ext()`.
    `default void` | `enterPerson(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.PersonContext ctx)` Enter a parse tree produced by `C4L3Parser.person()`.
    `default void` | `enterRelationship(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.RelationshipContext ctx)` Enter a parse tree produced by `C4L3Parser.relationship()`.
    `default void` | `enterStatement(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.StatementContext ctx)` Enter a parse tree produced by `C4L3Parser.statement()`.
    `default void` | `enterSystem_ext(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.System_extContext ctx)` Enter a parse tree produced by `C4L3Parser.system_ext()`.
    `default void` | `enterSystem(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.SystemContext ctx)` Enter a parse tree produced by `C4L3Parser.system()`.
    `default void` | `enterTitle(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.TitleContext ctx)` Enter a parse tree produced by `C4L3Parser.title()`.
    `default void` | `exitBoundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.BoundaryContext ctx)` Exit a parse tree produced by `C4L3Parser.boundary()`.
    `default void` | `exitCloud(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.CloudContext ctx)` Exit a parse tree produced by `C4L3Parser.cloud()`.
    `default void` | `exitComma(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.CommaContext ctx)` Exit a parse tree produced by `C4L3Parser.comma()`.
    `default void` | `exitComponent(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.ComponentContext ctx)` Exit a parse tree produced by `C4L3Parser.component()`.
    `default void` | `exitContainer_boundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Container_boundaryContext ctx)` Exit a parse tree produced by `C4L3Parser.container_boundary()`.
    `default void` | `exitContainer(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.ContainerContext ctx)` Exit a parse tree produced by `C4L3Parser.container()`.
    `default void` | `exitDiagram(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.DiagramContext ctx)` Exit a parse tree produced by `C4L3Parser.diagram()`.
    `default void` | `exitEnterprise_boundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Enterprise_boundaryContext ctx)` Exit a parse tree produced by `C4L3Parser.enterprise_boundary()`.
    `default void` | `exitFooter(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.FooterContext ctx)` Exit a parse tree produced by `C4L3Parser.footer()`.
    `default void` | `exitInclude(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.IncludeContext ctx)` Exit a parse tree produced by `C4L3Parser.include()`.
    `default void` | `exitL3_title(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.L3_titleContext ctx)` Exit a parse tree produced by `C4L3Parser.l3_title()`.
    `default void` | `exitLayout(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.LayoutContext ctx)` Exit a parse tree produced by `C4L3Parser.layout()`.
    `default void` | `exitPerson_ext(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Person_extContext ctx)` Exit a parse tree produced by `C4L3Parser.person_ext()`.
    `default void` | `exitPerson(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.PersonContext ctx)` Exit a parse tree produced by `C4L3Parser.person()`.
    `default void` | `exitRelationship(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.RelationshipContext ctx)` Exit a parse tree produced by `C4L3Parser.relationship()`.
    `default void` | `exitStatement(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.StatementContext ctx)` Exit a parse tree produced by `C4L3Parser.statement()`.
    `default void` | `exitSystem_ext(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.System_extContext ctx)` Exit a parse tree produced by `C4L3Parser.system_ext()`.
    `default void` | `exitSystem(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.SystemContext ctx)` Exit a parse tree produced by `C4L3Parser.system()`.
    `default void` | `exitTitle(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.TitleContext ctx)` Exit a parse tree produced by `C4L3Parser.title()`.
    `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener` | `getDecoratedC4L3ParserListener()` returns the instance of the `C4L3ParserListener` being decorated.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeListener

      `enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### enterBoundary

          default void enterBoundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.BoundaryContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.boundary()`.
      Specified by:
        `enterBoundary` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterCloud

          default void enterCloud(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.CloudContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.cloud()`.
      Specified by:
        `enterCloud` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterComma

          default void enterComma(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.CommaContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.comma()`.
      Specified by:
        `enterComma` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterComponent

          default void enterComponent(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.ComponentContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.component()`.
      Specified by:
        `enterComponent` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterContainer

          default void enterContainer(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.ContainerContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.container()`.
      Specified by:
        `enterContainer` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterContainer_boundary

          default void enterContainer_boundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Container_boundaryContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.container_boundary()`.
      Specified by:
        `enterContainer_boundary` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterDiagram

          default void enterDiagram(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.DiagramContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.diagram()`.
      Specified by:
        `enterDiagram` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterEnterprise_boundary

          default void enterEnterprise_boundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Enterprise_boundaryContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.enterprise_boundary()`.
      Specified by:
        `enterEnterprise_boundary` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterFooter

          default void enterFooter(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.FooterContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.footer()`.
      Specified by:
        `enterFooter` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterInclude

          default void enterInclude(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.IncludeContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.include()`.
      Specified by:
        `enterInclude` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterL3_title

          default void enterL3_title(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.L3_titleContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.l3_title()`.
      Specified by:
        `enterL3_title` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterLayout

          default void enterLayout(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.LayoutContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.layout()`.
      Specified by:
        `enterLayout` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterPerson

          default void enterPerson(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.PersonContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.person()`.
      Specified by:
        `enterPerson` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterPerson_ext

          default void enterPerson_ext(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Person_extContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.person_ext()`.
      Specified by:
        `enterPerson_ext` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterRelationship

          default void enterRelationship(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.RelationshipContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.relationship()`.
      Specified by:
        `enterRelationship` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterStatement

          default void enterStatement(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.StatementContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.statement()`.
      Specified by:
        `enterStatement` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterSystem

          default void enterSystem(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.SystemContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.system()`.
      Specified by:
        `enterSystem` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterSystem_ext

          default void enterSystem_ext(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.System_extContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.system_ext()`.
      Specified by:
        `enterSystem_ext` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterTitle

          default void enterTitle(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.TitleContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Enter a parse tree produced by `C4L3Parser.title()`.
      Specified by:
        `enterTitle` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitBoundary

          default void exitBoundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.BoundaryContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.boundary()`.
      Specified by:
        `exitBoundary` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitCloud

          default void exitCloud(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.CloudContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.cloud()`.
      Specified by:
        `exitCloud` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitComma

          default void exitComma(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.CommaContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.comma()`.
      Specified by:
        `exitComma` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitComponent

          default void exitComponent(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.ComponentContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.component()`.
      Specified by:
        `exitComponent` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitContainer

          default void exitContainer(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.ContainerContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.container()`.
      Specified by:
        `exitContainer` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitContainer_boundary

          default void exitContainer_boundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Container_boundaryContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.container_boundary()`.
      Specified by:
        `exitContainer_boundary` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitDiagram

          default void exitDiagram(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.DiagramContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.diagram()`.
      Specified by:
        `exitDiagram` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitEnterprise_boundary

          default void exitEnterprise_boundary(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Enterprise_boundaryContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.enterprise_boundary()`.
      Specified by:
        `exitEnterprise_boundary` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitFooter

          default void exitFooter(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.FooterContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.footer()`.
      Specified by:
        `exitFooter` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitInclude

          default void exitInclude(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.IncludeContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.include()`.
      Specified by:
        `exitInclude` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitL3_title

          default void exitL3_title(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.L3_titleContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.l3_title()`.
      Specified by:
        `exitL3_title` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitLayout

          default void exitLayout(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.LayoutContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.layout()`.
      Specified by:
        `exitLayout` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitPerson

          default void exitPerson(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.PersonContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.person()`.
      Specified by:
        `exitPerson` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitPerson_ext

          default void exitPerson_ext(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.Person_extContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.person_ext()`.
      Specified by:
        `exitPerson_ext` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitRelationship

          default void exitRelationship(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.RelationshipContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.relationship()`.
      Specified by:
        `exitRelationship` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitStatement

          default void exitStatement(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.StatementContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.statement()`.
      Specified by:
        `exitStatement` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitSystem

          default void exitSystem(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.SystemContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.system()`.
      Specified by:
        `exitSystem` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitSystem_ext

          default void exitSystem_ext(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.System_extContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.system_ext()`.
      Specified by:
        `exitSystem_ext` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitTitle

          default void exitTitle(org.thewonderlemming.c4plantuml.grammars.generated.C4L3Parser.TitleContext ctx)

      Description copied from interface: `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Exit a parse tree produced by `C4L3Parser.title()`.
      Specified by:
        `exitTitle` in interface `org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### getDecoratedC4L3ParserListener

          org.thewonderlemming.c4plantuml.grammars.generated.C4L3ParserListener getDecoratedC4L3ParserListener()

      returns the instance of the `C4L3ParserListener` being decorated.
      Returns:
        the decorated `C4L3ParserListener`.

Copyright © 2020. All rights reserved.